
U++ - Bug #795

Revision 7461 breaks TheIDE on GCC

06/23/2014 07:24 PM - Jan Dolinár

Status: Approved Start date: 06/23/2014

Priority: Normal Due date:

Assignee: Jan Dolinár % Done: 0%

Category: IDE Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Older versions of GCC have trouble building ide/Debuggers/Gdb_MI2.cpp after recent changes in ide.h, introduced in r7461:

[  830s] In file included from /usr/src/packages/BUILD/uppsrc/ide/Debuggers/Gdb_MI2.cpp:2:0:

[  830s] uppsrc/ide/ide.h:1065:20: error: declaration of 'void Ide::Display()' [-fpermissive]

[  830s] In file included from uppsrc/Draw/Draw.h:896:0,

[  830s]                  from uppsrc/RichText/RichText.h:4,

[  830s]                  from uppsrc/CtrlCore/CtrlCore.h:4,

[  830s]                  from uppsrc/CtrlLib/CtrlLib.h:4,

[  830s]                  from uppsrc/ide/Common/Common.h:5,

[  830s]                  from /usr/src/packages/BUILD/uppsrc/ide/Debuggers/Debuggers.h:4,

[  830s]                  from /usr/src/packages/BUILD/uppsrc/ide/Debuggers/Gdb_MI2.cpp:1:

[  830s] uppsrc/Draw/Display.h:1:7: error: changes meaning of 'Display' from 'class Upp::Display' [-fpermissive]

It fails on almost all the platforms for which I create packages, with exception of Arch where the GCC is version 4.9. Versions 4.4 and 4.7

do not work.

History

#1 - 06/23/2014 08:47 PM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Jan Dolinár

#2 - 06/24/2014 05:07 PM - Jan Dolinár

- Status changed from Ready for QA to Approved
